About PopScan
 PopScan is little application that will check to see whether you have any new e-mail waiting for you to collect at your POP3 mailbox.

PopScan has lots of features, here are the main ones:
  • Can check multiple mailboxes on multiple POP3 servers
  • Can detect and delete spam from your mail server
  • Allows you to list new mails, preview their content and delete unwanted ones
  • Can reduce spam by sending false delivery failure messages
  • Small, tidy and inconspicuous
  • The evaluation version is fully functional
  • Can open your e-mail program when new mail arrives
  • Install and uninstall support
  • User customisable sounds, messages, behaviour and more
  • Dialup account support
  • Online registration
  • Fully functional even without a mouse

TomBSoft
 If you wish to contact the author, my e-mail address is tom@firstsolo.net or see the PopScan page at http://popscan.firstsolo.net.


Getting Started
 PopScan has a Setup Wizard that runs the first time you start PopScan. Usually this occurs immediately after installation. The Setup Wizard allows you to set up an e-mail account. It uses sensible default options for everything else, so you’ll be up and running with PopScan checking an e-mail account within a minute or two of installation.

To modify your account or add more accounts after this, use the following procedure.

  1. You find the PopScan icon in your system tray as depicted below.

  2. Right-click on the PopScan icon. This will bring up the main PopScan menu.

  3. Choose Settings from the menu. This will bring up the PopScan options dialog.

  4. Select the POP3 Accounts tab on the dialog.

  5. Click on the Edit or Add button.
  6. Type an account name (of you own choosing), POP3 server, user name and password into the edit boxes on the right.

    If your POP3 server does not use the standard port number 110, simply type the server name then a space and the port number, as in the following example: pop.myisp.com 1000

  7. Click on the Apply Changes button and then on the OK button.


Frequently Asked Questions

Frequently Asked Questions (FAQ)

  1. Is there an HTML preview mode?
    No, and for good reason. Rendering HTML is quite complex and certainly outside the scope of a mail checker. There is only one way to get around this, which is to use a third party HTML engine. The only widely distributed engine is Internet Explorer's. Unfortunately one of the vectors for viruses is bugs in IE. Since one of the key uses for PopScan is to filter virus e-mail, it is vital not to use IE for previewing mail.
  2. Is there a PopScan hotkey facility?
    Yes. PopScan comes with the combination CTRL+ALT+SHIFT+P as its default hotkey combination, but you can choose any combination you like in the PopScan settings dialog.
  3. Can I use PopScan without a mouse?
    Yes. You can use the PopScan hotkey combination to access the PopScan menu. This allows you to access all of PopScan’s functionality. You can also access the PopScan menu by running PopScan from the Start menu whilst it is already running.
  4. My POP3 server is not on port 110, can I use PopScan with this server?
    Yes. Specify the port after the server's name in the POP3 Server field in the POP3 Accounts settings page. For example: pop.myisp.com 1000.
  5. My SMTP server is not on port 25, can I use PopScan with this server?
    Yes. Specify the port after the server's name in the SMTP mail server address field in the Mail Sending settings page. For example: smtp.myisp.com 2525.
  6. Does PopScan have a suspend or standby feature?
    Yes. Choose Standby mode from the main menu. This will toggle standby mode in which PopScan will stop automatically checking mail. You can still initiate a manual mail check via the PopScan menu when in standby mode.
  7. Can I use wildcards in spam filtering?
    Yes. The sender name, sender address and subject fields accept the wildcards ‘*’ and ‘?’. ‘*’ represents a string of any characters whilst ‘?’ represents any single character.
  8. Can I disable a particular account for mail checking?
    Yes. The option is in the POP3 Accounts settings. Alternatively, open the status dialog from the PopScan menu and toggle the account’s enable state from there.
  9. How do I block mails not addressed to me?
    Add a spam rule with you as the recipient and "Keep it" as the action. Add another rule with no requirements and "Delete it" as the action (this will make it a delete all rule so be very careful). Finally place the two rules at the end of the rule list with the "Delete it" rule last.
  10. Why is PopScan so cheap?
    Don’t worry, it has nothing to do with quality. The less I charge, the more copies of PopScan I sell.
  11. How can I reduce spam?
    PopScan has several features to help with spam. There is the spam checker, which allows you to set up spam checking rules as well as having a hueristical spam recognition algorithm. Mail recognised as spam by the spam checker will be deleted immediately (or after confirmation if you desire). See spam settings for more details.

    Another tool in the fight against spam is the mail list and preview dialogs. These allow you to quickly identify spam that the spam checker missed and delete it. You can also add a rule to the spam checker to block future mail from the same author directly from the new mail and preview dialogs.

    Apart from the obvious consequences of previewing spam, it has been shown in several studies that viewing spam through your mail program increases your chance of receiving more. This is because some spammers include code in the message that allows them to know when you've read it. They use this information to maintain their mailing lists. When you preview mail in PopScan, however, there is no way of knowing that you have done so. This is because PopScan's mail preview is very simple and in particular does not decode HTML mail.

    It has also been shown that sending delivery failure messages reduces the amount of spam you receive. PopScan is able to send delivery failure messages for mail detected by the spam checker and for mail you delete in the new mail and preview dialogs.

    In addition there are some non-PopScan related things you can/should do:

    Avoid giving your e-mail address to anyone if at all possible. If a web page demands an e-mail address but doesn't actually need your address to function then make one up. Or use a temporary email address (there are lots of free services for this on the internet, Google for "temporary email address").

    If your address appears on any web pages, get it removed if possible. Web page scanning appears to be a major way that spammers keep their mailing lists up to date. If you need your address on a page (like I do on the PopScan page), encode it in HTTP ASCII encodings. There are web pages that will do this for free, Google for "e-mail address encoding".

    Try to persuade your friends not to send your address to other people. Machines that are compromised by a net worm may well have address harvesters on them. It is quite likely that several of your friends of friends are infected with one of these worms. This is particularly important in regard to the chain e-mails and hoax virus warnings that occasionally go around. The way to do this is use BCC (blind carbon copy) to copy people on an e-mail rather than CC or just sticking people in the To field.

    Don't use your real e-mail address on mailing lists. Temporary addresses are good for this sort of thing. Especially if you can blow them away once the spam starts coming in on that address.

    Finally, search for advice on the net. There are lots of tips and I probably haven't listed them all. In all likelihood one or two aspects of your existence on-line are causing your address to leak to the spammers. If you can close these doors your spam load should start to shrink.


User Interface General

General

When PopScan runs, it will add its icon to the system tray. This icon is your interface to PopScan. It fulfils several purposes.

First, the actual look of the icon tells you whether or not there is new mail waiting to be downloaded at any of your mailboxes. Alternatively, if there is a problem connecting to any of your mailboxes, the icon reflects this. Here are the different states your PopScan icon can have:

A broken envelope means that there is a problem connecting to at least one of your mailboxes
An envelope with a bright yellow star on it represents new e-mail waiting to be downloaded. This icon has an option to be static or flashing.
An envelope with a red cross through it means you have no new mail waiting to be downloaded.
An envelope with a question mark means that PopScan is currently checking for new e-mail.
A greyed-out envelope means that PopScan is in standby mode. Whilst in standby mode PopScan will not automatically check mail, although you can still manually initiate a mail check.

The second use for the icon is as follows: when you hover your mouse pointer over the icon you will get a tooltip that tells you how many undownloaded e-mails you have waiting.

Finally, you use the icon to interface with PopScan. The PopScan main menu can be accessed by right-clicking on the icon.

You will notice that one of the options is in bold. This is the default option. Double-clicking on the icon is a shortcut to executing this option. Under the options menu item, it is possible to set up the default menu item.


New Mail Dialog

This dialog lists all of the mail waiting at your various POP3 accounts.

You can summon the new mail dialog in any of the following ways:

  1. Choose List Mail from the PopScan right-click menu.
  2. Use the PopScan hotkey combination to get the PopScan menu and then choose List Mail from the menu.
  3. Double-click on the PopScan icon when the List Mail option is the default. See Double click action on the general settings page for more info about default menu items.
  4. The new mail popup message offers to open the New Mail dialog. Press the List new e-mail button, or the Alt-L key combination. See the POP3 settings page for more info about new mail notifications.

The dialog shows you the receive time, subject, sender and size of each message, along with the POP3 account where it is waiting.

The buttons at the bottom allow you to manipulate the selected messages. You can also right-click on the selected messages to get a context menu with many of the same options.

You can use this dialog to delete mails off the server without reading them. Select the mails you wish to delete and either press the DEL key, or the Toggle delete button.

If you want to delete an e-mail and automatically add a spam rule that blocks the e-mail’s sender in the future, use the Block Sender(s) button. Alternatively press CTRL+DEL.

When you delete an e-mail you can also choose to send a delivery failure message. Press SHIFT+DEL to do this.

If you change your mind about deleting an e-mail, you can cancel the whole operation by pressing the escape key, or just toggle the mail’s delete state back to No.

After you close the dialog by pressing enter, or the Close button, tagged mails will be deleted.

You can open your e-mail client from the New Mail dialog by pressing the Open mail client button, or the ALT+O keyboard shortcut.

You can preview the content of the selected e-mail by pressing the Preview button, or the ALT+P keyboard shortcut.

The individual columns are sortable. Click on a column header to sort e-mails by that header. Clicking on the header again will toggle the sort direction.

The New Mail dialog is resizeable. Simply drag the border of the dialog with the mouse. PopScan will remember the size you have chosen next time the New Mail dialog is opened.


Mail Preview Dialog

This dialog shows you a preview of the contents of a new e-mail. The number of lines displayed is set in the general settings page.

You can summon the new mail dialog from the new mail dialog by pressing the Preview button.

You may toggle viewing of the message header on and off by pressing the View header button. You can mark the e-mail for deletion and/or block the sender in the same way as for the new mail dialog.

The Mail Preview dialog is resizeable. Simply drag the border of the dialog with the mouse. PopScan will remember the size you have chosen next time the Mail Preview dialog is opened.

There is a context menu, wich is accessible by pressing the left mouse button over the preview and header boxes. This will allow you to select and copy text. In addition, if you select a web link in the text of an e-mail you can choose to open it in your web browser from the preview context menu. This even works if the link has been split over multiple lines.


Status Dialog

New to PopScan in version 4.2 was the Status dialog. This dialog shows the current status of all your POP3 accounts and lets you enable and disable checking on each account.

You can summon the status dialog in any of the following ways:

  1. Choose Show Status from the PopScan right-click menu.
  2. Use the PopScan hotkey combination to get the PopScan menu and then choose Show Status from the menu.
  3. Double-click on the PopScan icon when the Show Status option is the default. See Double click action on the general settings page for more info about default menu items.

The dialog shows you the name and current status of each POP3 account.

In addition, you can use this dialog to enable to disable mail checking on your POP3 accounts. This is equivalent to the Disable this account option on the POP3 settings page. Simply select the accounts you want to enable or disable and click the Toggle enable button or press the shortcut combination Alt-T.

You can refresh the account list by pressing F5.

The Status dialog is resizeable. Simply drag the border of the dialog with the mouse. PopScan will remember the size you have chosen next time the Status dialog is opened.


Configuring PopScan

To configure PopScan, right-click on the PopScan system tray icon (or press the PopScan hotkey combination — the default is CTRL+ALT+SHIFT+P) and choose the Settings menu item. You will be present with the following configuration dialog box.

By clicking on the tabs at the top you can edit general settings, POP3 accounts, mail sending settings and spam filtering rules.

PopScan has tooltips for most dialog box controls, so you can get a quick description of any of the controls by hovering the mouse over the control in question.

There are quite a lot of options that tweak various aspects of PopScan’s behaviour. These all have sensible defaults. This allows you to get up and running quickly, while giving you the option to come back later and specify exactly the behaviour you would like.


General Options

General Settings

To setup general options on PopScan, right-click on the PopScan system tray icon and choose the Settings menu item, the General tab is selected by default. You will be presented with the following configuration dialog box:

Settings

Execute on Startup | Choose whether you want PopScan to run when your computer starts up. Most people will wish to keep this option checked.
Reset after e-mail client | Choose whether you want PopScan reset its status to reflect no new mail after you open your e-mail client. Next time PopScan checks for e-mail the status will revert to reality. This option exists because many people download their e-mail immediately when they open their e-mail clients and don’t want PopScan’s system tray icon to be incorrect until the next check.
Enable Hints | Choose whether you want PopScan to give you hints occasionally. It is recommended that you keep this option checked for a while after you first install PopScan.
Flash new mail icon | Choose this option to have the system tray icon flash when you have new e-mail.
Confirm delete in New Mail dialog | Choose whether you want a delete confirmation message in the new mail list dialog. PopScan will confirm deletion of tagged messages if this box is checked.
Check version updates | If this box is checked, PopScan will notify you whenever a new version becomes available.
Hot-key | Enter the key combination you wish to use as a hotkey to access the PopScan menu. Simply hold down the key combination that you wish to use. If you do not want a hotkey, you can remove it by pressing the Del key. The default hotkey combination is CTRL+ALT+SHIFT+P.
Preview lines | Set the number of lines you’d like PopScan to download for message previews.
Mail client selection | Choose which e-mail client PopScan should use. You may choose simply to go with the system default e-mail client, or to specify your own. If you choose to specify your own e-mail client, you need to enter the path to the main executable for your client. This can be done by typing in the edit box, or you can press the browse button (labeled …) to get a browse window.
Double click action | In this section you can set what the default PopScan menu option will be when there is no new mail and when there is new mail. The default menu item is the one that will be selected if you double click on the PopScan system tray icon.
Mail notification sound | When you have new e-mail, PopScan can play a sound to notify you. This option allows you to select the sound to be played. You can choose the system asterisk sound or opt to specify your own .wav file to be played. If you wish to use your own sound you need to enter the path to your sound in the edit box. Do not worry if the path is longer than the box, it is stored nonetheless. Once again, you can use the browse button to select your desired .wav file. There is also a play button to test the sound file you've selected.
Error notification sound | This option has identical functionality to the one above except that it allows you to choose the sound to be played when an error occurs.
Help | Display this help page.
OK | Press this button to accept all changes and close the options dialog box.
Cancel | Press this button to cancel all changes and close the options dialog box.


POP3 Options

POP3 Settings

To setup POP3 options on PopScan, right-click on the PopScan system tray icon and choose the Settings menu item, then click on the POP3 Accounts tab. You will be presented with the following configuration dialog box:

Settings

POP3 Accounts | This list-box contains the mailbox and server names of all the POP3 accounts that you wish to check with PopScan.
Add | Press this button to add a new account. The default mailbox is user@localhost.
Edit | The Edit button enables editing of an account.
Delete | Press this button to delete the currently highlighted account.
Account Name | Type in the name you wish to reference this account by.
POP3 Server | Type in the server name of the currently highlighted POP3 account here. If your POP3 server does not use the standard port number 110, simply type the server name then a space and the port number, as in the following example: pop.myisp.com 1000
User Name | Type in the mailbox name of the currently highlighted POP3 account here.
Password | Type in the password for the currently highlighted POP3 account here. The password is displayed as asterisks, so the Password Verify field is supplied to make sure you typed your password in correctly. PopScan will not accept the Password field unless the Password Verify field is identical.
Update Every | Set the number of minutes you wish for PopScan to wait between updates here.
Dialup account | Check this box to let PopScan know that this is a dialup account. PopScan does not attempt to check mail for dialup accounts unless your PC is on-line.
New Mail | Use these two check boxes to select whether you wish to be notified by a sound / message box / both or neither when new mail arrives. By default you will be notified by both sound and a message for this event. Note: the system tray icon changes regardless of this setting.
Errors | Use these two check boxes to select whether you wish to be notified by a sound / message box / both or neither when an error occurs (such as PopScan not being able to connect to your POP3 server). By default you will be notified by both sound and a message for this event.
Disable this account | Check this box to prevent PopScan from checking e-mail at this account. This option allows you to stop checking an account without having to delete it. When you want to continue checking for mail on the account, uncheck this box.
Apply / Cancel Changes | After Adding or editing an account, you can press one of these buttons to store / cancel the changes you have entered.
Help | Display this help page.
OK | Press this button to accept all changes and close the options dialog box.
Cancel | Press this button to cancel all changes and close the options dialog box.


Mail Sending Settings

To setup mail sending options on PopScan, right-click on the PopScan system tray icon and choose the Settings menu item. Then click on the Mail Sending tab. You will be presented with the following configuration dialog box:

PopScan uses the mail sending options for sending delivery failure notifications. Sending delivery failure notifications to spam messages has been shown to reduce the amount of spam you receive. This is because spam senders sometimes use delivery failure messages to keep their mailing lists up to date.

Settings

Send delivery failure messages for e-mails deleted by the spam checker
When this is checked PopScan will automatically send delivery failure notifications to e-mail deleted by the spam checker.

SMTP mail server address
Enter the address of your SMTP mail server here. If your server does not use the standard port 25, you can also include the port number, e.g. smtp.mymailserver.com 2525.

Error notifications
Check the Message and Sound boxes to configure how PopScan will notify you of problems with sending mail.


Spam Options

Spam Settings

To setup spam options on PopScan, right-click on the PopScan system tray icon and choose the Settings menu item, then click on the Spam Filtering tab. You will be presented with the following configuration dialog box:

The top section of the page is a list of spam rules. Each rule specifies a set of criteria for identifying a message and the action to perform on such a message. The bottom part of the page is a text description of the selected rule's behaviour.

PopScan works through the spam rule list from top to bottom. Once a message is matched to a spam rule, PopScan stops looking through the rules. So the earlier a rule is in the list, the higher its priority. This allows you, for example, to have a list of rules that accept mail from known contacts before any rules that reject mail as spam.

You may also choose to have PopScan generate a log file of deleted spam. If you enable the Keep a log of deleted spam option, then a file called spam.log will be generated in your PopScan directory.

Adding, removing and editing rules

  • To add a rule to the list, press Add.
  • To delete a rule press Delete.
  • To edit the details of a rule, press Edit.
  • To move a rule earlier or later in the list, press Move Up or Move Down.

When you add or edit a spam rule you get the following dialog box:

Here, you specify

  • a name for the rule,
  • the requirements you’d like to use to identify an e-mail, and
  • the action to take, which will be to Delete it or Keep it.

An e-mail message must satisfy all the items in the Requirements list for the rule as a whole to match that message. Each requirement may be one of quite a number of criteria, including sender name, sender e-mail address, subject or body text, etc.

For example, if you wish to reject e-mail from a certain person only if the subject line contains "$$$" then specify the person's name and/or e-mail address as well as the subject line text "*$$$*". If you want to delete all mail from a particular person regardless, just specify their name and/or e-mail address. If you do not specify any requirements, the rule will match all new e-mail.

If you are worried that a particular spam rule might occasionally delete good e-mail, you can check the Confirm before deleting check box. PopScan will then pop up a confirmation message box before deleting e-mail which meets the criteria of the rule in question.

You can Add, Edit or Delete requirements. When you add or edit a requirement, you get the following dialog box:

The Requirement type drop-down combo box allows you to choose what characteristic you wish to match on. A detailed description of each requirement type can be found below. Depending on the requirement type chosen, there are also some parameters to be supplied. These are also described below.

Text matching requirement types accept the wildcards ‘*’ and ‘?’. ‘*’ represents any string of characters and ‘?’ represents a single character. There is an example below of the usage of wildcards below under the The sender’s e-mail address is discussion.

All text is matched using case insensitive checks. So a rule deleting mail from 'John Smith' will also catch 'JOHN SMITH' and 'john smith' for example.

Requirement types

  • The sender's name is matches against the sender's name. You will be asked to supply the name to match against. You can use wildcards for this parameter.
  • The sender's address is matches against the sender's e-mail address. You will be asked to supply the address to match against. You can use wildcards for this parameter.
  • The recipient's name is matches against the recipient's name. You will be asked to supply the name to match against. You can use wildcards for this parameter. This and the next one are handy if you use a junk mail alias for your mailbox.
  • The recipient's address is matches against the recipient's e-mail address. You will be asked to supply the address to match against. You can use wildcards for this parameter.
  • User defined header field is allows you to match against any header field. You need to supply header field name and value. You can use wildcards for the field value.
  • The subject is matches against an e-mail's subject line. You will be asked to supply the subject to match against. You can use wildcards for this parameter.
  • The message body includes matches against the preview body text downloaded for an e-mail. You will be asked to supply some text that must appear somewhere in the e-mail body for the requirement to match. You can use wildcards for this parameter (an implicit "*" will be applied before and after the text you enter).
  • The size in kB is larger than matches against the size of the e-mail. You must specify a value in kB. Wildcards are not allowed.
  • The size in kB is smaller than matches against the size of the e-mail. You must specify a value in kB. Wildcards are not allowed.
  • Heuristics checks match has no parameter. Rather it uses an internal heuristical alogrithm to guess whether a message is spam or not. Note that this check is not 100% certain, it may identify valid mail as spam. It is best to use this in combination with known spam characterisics (such as the '*.kr' rule below) or to use the Confirm before deleting option.

Example requirements

You can specify the name of the sender by simply having one The sender’s name is requirement. This, for example, allows you to reject e-mail from 'Jemma' (someone who spammed me once).

You can specify the e-mail address of the sender by simply having a The sender’s address is requirement. This would allow you to reject e-mail from '*.kr' (which is where most of the spam I receive comes from and since I don’t know anyone in Korea I’m safe deleting mail from there). Note the use of the '*' wildcard.

You can specify subject line text to reject. For example, you can pretty much accept that e-mail with the text '*$$$*' or '*XXX*' in the subject line is spam. The requirement for this is entitled The subject is.

You can specify a maximum size. The requirement for this is entitled The size in kB is larger than.


Spam Options

Tweaks

Often people ask for new features that are quick and simple to implement and good ideas. However, any new feature requires a lot of thought in terms of how to fit it into the PopScan user interface without causing a mass of confusing clutter. Updating the online help is also time consuming. As of version 4.41, I have a solution to this dilemma.

In order to meet the needs of the power user of PopScan, I will sometimes make features available as tweaks. Usually the eventual aim will be to incorporate them as proper features accessible via the UI. In the meantime, the functionality is made available through the tweaks file. This files is called PopScanTweaks.ini and is automatically created in the PopScan directory the first time PopScan is run.

There is no official documentation for tweaks, although the PopScanTweaks.ini file is fairly self explanatory. If you have an idea you'd like to see as a tweak, feel free to contact me at tom@firstsolo.net.


Registering PopScan

If you wish to use PopScan for more than 30 days, you are required to register it. Registering PopScan v4.6 will give you the right to use PopScan v4.6 indefinitely. It will also remove the annoying nag screen at startup. Finally, any license purchased for version 4.6 will remain valid for all versions up to and including version 5.6.

To register PopScan, simply click on the following link http://register.popscan.firstsolo.net. The cost is $10. Once you have registered, you will receive a registration key immediately. This key can be entered into the registration box that is available from the Register option on the PopScan menu.

If you would prefer to pay by cheque made out in your local currency, simply e-mail me and I'll let you know how to do that. I am also able to accept bank transfers in the UK and South Africa. This will save you the cost of foreign exchange negotiation on your credit card. E-mail me at tom@firstsolo.net for details.


Licensing PopScan

Licensing

PopScan v4.6 is Copyright © 2003 To Brazier. All rights reserved.

PopScan v4.6 is shareware. You may legally use PopScan for 30 days as a trial. If you continue to use PopScan after the initial 30 days, you are required to license it.

A license for PopScan v4.6 also entitles you to use any version up to 5.6 when it is released.

Any use of PopScan v4.6 is subject to the licensing agreement.

LICENSING AGREEMENT

THE AUTHOR (TOM BRAZIER) DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE (POPSCAN), WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

NEITHER THE AUTHOR NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THE SOFTWARE SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS.

IN NO EVENT SHALL THE AUTHOR'S LIABILITY FOR ANY DAMAGES EVER EXCEED THE PRICE PAID FOR THE LICENSE TO USE THE SOFTWARE, REGARDLESS OF THE FORM OF CLAIM. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

NO ONE MAY MODIFY THE SOFTWARE IN ANY WAY. USE OF THE SOFTWARE CONSTITUTES YOUR ACCEPTANCE OF THIS AGREEMENT AND SUBJECTS YOU TO ITS CONTENTS.

LICENSES ARE GRANTED FOR ONLY THE VERSIONS SPECIFIED AT TIME OF PURCHASE AND ARE NOT TRANSFERABLE.

THIS AGREEMENT IS GOVERNED BY THE LAWS OF THE STATE OF SOUTH AFRICA AND SHALL INURE TO THE BENEFIT OF THE AUTHOR AND ANY SUCCESSORS, ADMINISTRATORS, HEIRS AND ASSIGNS. ANY ACTION OR PROCEEDING BROUGHT BY EITHER PARTY AGAINST THE OTHER ARISING OUT OF OR RELATED TO THIS AGREEMENT SHALL BE BROUGHT ONLY IN A STATE COURT OF COMPETENT JURISDICTION LOCATED IN SOUTH AFRICA.


Comments and Suggestions

Comments & Suggestions

Any comments or suggestions you may have are welcome. My email address is tom@firstsolo.net or see the PopScan page at http://popscan.firstsolo.net.